Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.security.provider
Class PermissionSetImpl

    java.lang.Object
      org.jasig.portal.security.provider.PermissionSetImpl

All Implemented Interfaces:
  IBasicEntity, IPermissionSet

    public class PermissionSetImpl

extends java.lang.Object
implements IPermissionSet

Version:
  $Revision: 1.2 $ Aggregates `IPermissions` for a single `IAuthorizationPrincipal` so that the permissions can be cached as a unit by the `EntityCachingService`.

  Separating caching of principals and permissions lets a client keep a reference to a principal over time while being guaranteed the latest version of its permissions.

Author:
  Dan Ellentuck, de3@columbia.edu

Field Summary
`private EntityIdentifier` | `entityIdentifier`
`private static java.lang.Class` | `IPS_TYPE`
`private IPermission[]` | `permissions`

Constructor Summary
`PermissionSetImpl(IPermission[] perms, IAuthorizationPrincipal principal)`
`PermissionSetImpl(IPermission[] perms, java.lang.String key, java.lang.Class type)`

Method Summary
`EntityIdentifier` | `getEntityIdentifier()`
`IPermission[]` | `getPermissions()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### entityIdentifier

    private EntityIdentifier entityIdentifier

### permissions

    private IPermission[] permissions

### IPS_TYPE

    private static java.lang.Class IPS_TYPE

Constructor Detail

### PermissionSetImpl

    public PermissionSetImpl(IPermission[] perms,
                             IAuthorizationPrincipal principal)

### PermissionSetImpl

    public PermissionSetImpl(IPermission[] perms,
                             java.lang.String key,
                             java.lang.Class type)

Method Detail

### getPermissions

    public IPermission[] getPermissions()

  Specified by:
    `getPermissions` in interface `IPermissionSet`
  Returns:
    IPermission[]

### getEntityIdentifier

    public EntityIdentifier getEntityIdentifier()

  Specified by:
    `getEntityIdentifier` in interface `IBasicEntity`
  Returns:
    EntityIdentifier IPermission[]

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD